Package: org.grails.taglib.encoder

## [Java] Class DefaultOutputContextLookup

- org.grails.taglib.encoder.DefaultOutputContextLookup

- All Implemented Interfaces and Traits:
    EncodingStateRegistryLookup, OutputContextLookup, org.springframework.core.Ordered

      public class DefaultOutputContextLookup
      extends java.lang.Object

- - ### Nested Class Summary

    Nested classes
    Modifiers | Name | Description
    --- | --- | ---
    `static class` | `DefaultOutputContextLookup.DefaultOutputContext` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `DefaultOutputContextLookup ()`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `int` | `getOrder()`
    `EncodingStateRegistry` | `lookup()`
    `OutputContext` | `lookupOutputContext()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Constructor Detail

    - #### public DefaultOutputContextLookup()

  - ### Method Detail

    - #### @java.lang.Override public int getOrder()

    - #### @java.lang.Override public EncodingStateRegistry lookup()

    - #### @java.lang.Override public OutputContext lookupOutputContext()